Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class KodoVersionAndConfigurationTypeValidationPolicy

    java.lang.Object
      kodo.conf.KodoVersionAndConfigurationTypeValidationPolicy

All Implemented Interfaces:
  CacheMarshaller.ValidationPolicy, Configurable

    public class KodoVersionAndConfigurationTypeValidationPolicy

extends Object
implements CacheMarshaller.ValidationPolicy, Configurable

Compute validity based on whether or not the cached data is from the same version of Kodo as the current install. This also checks OpenJPA version information in case the OpenJPA jars were independently updated.

Since:
  4.1.3

Constructor Summary
`KodoVersionAndConfigurationTypeValidationPolicy()`

Method Summary
`void` | `endConfiguration()`
`Object` | `getCacheableData(Object o)` Return an object that the `CacheMarshaller` should store.
`Object` | `getValidData(Object o)` Returns an object that this policy considers to be valid, based on `o`.
`void` | `setConfiguration(Configuration conf)`
`void` | `startConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoVersionAndConfigurationTypeValidationPolicy

    public KodoVersionAndConfigurationTypeValidationPolicy()

Method Detail

### getCacheableData

    public Object getCacheableData(Object o)

  Description copied from interface: `CacheMarshaller.ValidationPolicy`
  Return an object that the `CacheMarshaller` should store.

  Specified by:
    `getCacheableData` in interface `CacheMarshaller.ValidationPolicy`

### getValidData

    public Object getValidData(Object o)

  Description copied from interface: `CacheMarshaller.ValidationPolicy`
  Returns an object that this policy considers to be valid, based on `o`. If `o` is not valid, this method will return `null`.

  Specified by:
    `getValidData` in interface `CacheMarshaller.ValidationPolicy`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.